关闭

Cannot run program "XXXXX/android-sdks/build-tools/aapt.exe": error=2,

标签: Android studioAndroidaapt
501人阅读 评论(0) 收藏 举报
分类:

在ubuntu64位系统下使用android SDK,经常出这个问题。

这个问题是因为sdk的工具大都支持32位,然而我的系统是64位,所以无法在64位上运行。

网上找了好多资料

第一种就是 安装 ia32-libs

sudo apt-get install ia32-libs 

结果这个依赖 ia32-libs-multiarch , 把 ia32-libs-multiarch 这个也装起,总之好麻烦。 就没弄成功。

第二种,我搜索到 http://www.cnblogs.com/sink_cup/archive/2011/10/31/ubuntu_x64_android_sdk_java.html 这个链接,按照里面的说法 安装下面的几个库,就可以了。

sudo apt-get install -y libc6-i386 lib32stdc++6 lib32gcc1 lib32ncurses5 lib32z1

对我来说,第二种方法一下子就生效了。 太不容易了。
0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:140686次
    • 积分:1863
    • 等级:
    • 排名:千里之外
    • 原创:41篇
    • 转载:20篇
    • 译文:0篇
    • 评论:41条
    最新评论